RedCrawler API
Scrape V2

Bulk Comments by ID V2

Bulk fetch comments by IDs. Up to 1500 IDs. Accepts raw IDs, t1_ prefixed, or URLs.

POST /api/v2/batch/replies

Bulk fetch comments by IDs. Up to 1500 IDs. Accepts raw IDs, t1_ prefixed, or URLs.

Body parameters

NameTypeRequiredDescription
idsstringYesComma-separated comment IDs (raw, t1_ prefixed, or URLs)

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v2/batch/replies" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"ids": "t1_def5678,t1_def5679"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v2/batch/replies", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "ids": "t1_def5678,t1_def5679"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v2/batch/replies"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "ids": "t1_def5678,t1_def5679"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "comments": [
      {
        "id": "t1_def5680",
        "body": "Example comment text.",
        "body_richtext": "{\"document\":[{\"c\":[{\"e\":\"text\",\"t\":\"Leading the way!\"}],\"e\":\"par\"}]}",
        "body_html": null,
        "score": 233,
        "created_at": "2026-04-29T11:02:36.055000+0000",
        "author": "example_user_4",
        "author_id": "t2_exampleuser1",
        "author_icon": "https://i.redd.it/example.jpg",
        "permalink": "/r/interesting/comments/abc1235/this_is_how_electric_cars_vs_gasoline_cars_look/def5680/",
        "post_id": "t3_abc1235",
        "subreddit": "interesting",
        "subreddit_id": "t5_2qib0"
      },
      {
        "id": "t1_def5679",
        "body": "Example comment text.",
        "body_richtext": "{\"document\":[{\"c\":[{\"e\":\"text\",\"t\":\"hot wheels\"}],\"e\":\"par\"}]}",
        "body_html": null,
        "score": 1785,
        "created_at": "2026-04-29T10:49:43.058000+0000",
        "author": "example_user_5",
        "author_id": "t2_exampleuser2",
        "author_icon": "https://styles.redditmedia.com/t5_9s79xd/styles/profileIcon_4utanghe31xb1.png?frame=1&auto=webp&crop=256%3A256%2Csmart&s=5ff7d1927ed3fd3680274240e6661187da478dee",
        "permalink": "/r/interesting/comments/abc1235/this_is_how_electric_cars_vs_gasoline_cars_look/def5679/",
        "post_id": "t3_abc1235",
        "subreddit": "interesting",
        "subreddit_id": "t5_2qib0"
      }
    ],
    "count": 2,
    "requested": 2
  },
  "error": null,
  "timestamp": "2026-04-29T16:28:49.993227+00:00"
}

On this page